import { defineStore } from "pinia";

export const usesizeStore = defineStore("size", {
  state: () => ({
    menuH: 0,
    navH: 0,
    conH: 0,
    footH:0,
    searchH:0,
  }),
  actions: {
    setMenuH(v) {
      this.menuH = v;
    },
    setConH(v) {
      this.conH = v;
    },
    setFootH(v){
      this.footH = v;
    },
    setSearchH(v){
      this.searchH = v;
    },
    
    setX(v){
      this.x = v;
    }
  },
});
